Download it now!
Bug 30991 - Graphical problems with KDE and Qt's raster mode
Summary: Graphical problems with KDE and Qt's raster mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Luboš Luňák
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-19 13:45 UTC by tisseron.joffrey
Modified: 2010-12-14 10:01 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Example (48.72 KB, image/png)
2010-12-12 23:36 UTC, Marián Kyral
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tisseron.joffrey 2010-10-19 13:45:35 UTC
When I launch LibreOffice in Kde with Qt's raster mode activated, menubar, menus,status bar and scrollbar are fully transparent. Some composants of toolbars (combobox for example) are not painted.

If I type 'soffice' in a terminal, I have this error message: 
  
  X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0


Way to reproduce : set Qt to raster graphic system and launch LibreOffice in Kde.
Comment 1 Muthu 2010-10-20 11:32:53 UTC
One for lubos?
Comment 2 Marián Kyral 2010-12-12 23:36:41 UTC
Created attachment 41053 [details]
Example

Hi,
I can confirm. LibreOffice is not usable with Qt 4.7. OpenOffice 3.2.1 works correctly.
Comment 3 Luboš Luňák 2010-12-14 10:01:48 UTC
Fixed/worked around.